using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GreenTree.Nachtragsmanagement.Data.Mapping.Deviation
{
    public class StateMap : EntityTypeConfiguration<Core.Domain.Appendix.State>
    {
        public StateMap()
        {
            ToTable("State");

            HasKey(f => f.Id);

            Property(f => f.Description);
            Property(f => f.HexColor);
            Property(f => f.IsZeroValue);
            Property(f => f.IsDefault);
            Property(f => f.IsFinish);
            Property(f => f.InitialPercentage);
        }
    }
}
